using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using System.Threading;


namespace TestUnit
{
    [TestFixture]
    public class ClassTest
    {
        [Test]
        public void TestRun()
        {
            //ClassLibrary1.Class1 obj = new ClassLibrary1.Class1();
            //WindowsApplication1.Class1 obj = new WindowsApplication1.Class1();
            //WindowsApplication1.Window1 obj = new WindowsApplication1.Window1();
            //WindowsApplication1.UserControl1 obj = new WindowsApplication1.UserControl1();

            //double expected = 9;
            //double result = obj.GetSomeValue(3);
            //Assert.AreEqual(expected, result);

            /***********
             * good way 
             ***********/
            CrossThreadTestRunner runner = new CrossThreadTestRunner();
            runner.RunInSTA(
              delegate
              {
                  Console.WriteLine(Thread.CurrentThread.GetApartmentState());

                  //WindowsApplication1.Window1 obj = new WindowsApplication1.Window1();
                  WindowsApplication1.UserControl1 obj = new WindowsApplication1.UserControl1();

                  double expected = 9;
                  double result = obj.GetSomeValue(3);
                  Assert.AreEqual(expected, result);
              });   

        }

    }




  



}
